Current Technical Requirements for Topaz applications

All users please note the Win 7 and Mac user comments:

Windows 7
As of Jan 14, 2020, Microsoft has ended its support for Windows 7. While we cannot support a manufacturer’s unsupported operating system, our photo applications may still function on Windows 7 devices provided other hardware is compatible. Please note that we cannot guarantee a Windows 7 operating system that works with one version of our applications will continue to work with future versions of our applications.

Mac users
Plugins for DeNoise AI and Sharpen AI are M1 native and will work natively with Photoshop 22.3 and above, which are M1 native Photoshop versions. Our other plugins will not show up on Photoshop 22.3 or higher unless you run Photoshop through Rosetta 2.

Link: https://support.topazlabs.com/article/18-system-requirements